Debian Bug report logs - #722264
ITP: libcommons-collections4-java -- Apache Commons Collections - Extended Collections API for Java

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Emmanuel Bourg <ebourg@apache.org>

Date: Mon, 9 Sep 2013 15:06:01 UTC

Owned by: Emmanuel Bourg <ebourg@apache.org>

Severity: wishlist

Fixed in version libcommons-collections4-java/4.0~alpha1-1

Done: Emmanuel Bourg <ebourg@apache.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#722264; Package wnpp. (Mon, 09 Sep 2013 15:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Bourg <ebourg@apache.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Mon, 09 Sep 2013 15:06:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Emmanuel Bourg <ebourg@apache.org>
To: submit@bugs.debian.org
Subject: ITP: libcommons-collections4-java -- Apache Commons Collections - Extended Collections API for Java
Date: Mon, 09 Sep 2013 17:01:48 +0200
Package: wnpp
Owner: Emmanuel Bourg <ebourg@apache.org>
Severity: wishlist

* Package name    : libcommons-collections4-java
  Version         : 4.0-alpha1
  Upstream Author : The Apache Software Foundation
* URL             : http://commons.apache.org/collections
* License         : Apache-2.0
  Programming Lang: Java
  Description     : Extended Collections API for Java

The Java Collections Framework was a major addition in JDK 1.2. It added
many powerful data structures that accelerate development of most
significant Java applications. Since that time it has become the
recognized standard for collection handling in Java.

Commons Collections seek to build upon the JDK classes by providing new
interfaces, implementations and utilities. There are many features,
including:

 * Bag interface for collections that have a number of copies of each object
 * BidiMap interface for maps that can be looked up from value to key as
well and key to value
 * MapIterator interface to provide simple and quick iteration over maps
 * Transforming decorators that alter each object as it is added to the
collection
 * Composite collections that make multiple collections look like one
 * Ordered maps and sets that retain the order elements are added in,
including an LRU based map
 * Reference map that allows keys and/or values to be garbage collected
under close control
 * Many comparator implementations
 * Many iterator implementations
 * Adapter classes from array and enumerations to collections
 * Utilities to test or create typical set-theory properties of
collections such as union, intersection, and closure

This is a new version of Commons Collections which is already packaged
in Debian as libcommons-collections3-java. The new API is not compatible
with the previous one and requires a separate package.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 18 Sep 2013 08:06:05 GMT) Full text and rfc822 format available.

Reply sent to Emmanuel Bourg <ebourg@apache.org>:
You have taken responsibility. (Sat, 21 Sep 2013 04:04:28 GMT) Full text and rfc822 format available.

Notification sent to Emmanuel Bourg <ebourg@apache.org>:
Bug acknowledged by developer. (Sat, 21 Sep 2013 04:04:28 GMT) Full text and rfc822 format available.

Message #12 received at 722264-close@bugs.debian.org (full text, mbox):

From: Emmanuel Bourg <ebourg@apache.org>
To: 722264-close@bugs.debian.org
Subject: Bug#722264: fixed in libcommons-collections4-java 4.0~alpha1-1
Date: Sat, 21 Sep 2013 04:00:14 +0000
Source: libcommons-collections4-java
Source-Version: 4.0~alpha1-1

We believe that the bug you reported is fixed in the latest version of
libcommons-collections4-java, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 722264@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Emmanuel Bourg <ebourg@apache.org> (supplier of updated libcommons-collections4-java package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 09 Sep 2013 17:10:26 +0200
Source: libcommons-collections4-java
Binary: libcommons-collections4-java libcommons-collections4-java-doc
Architecture: source all
Version: 4.0~alpha1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Emmanuel Bourg <ebourg@apache.org>
Description: 
 libcommons-collections4-java - Apache Commons Collections - Extended Collections API for Java
 libcommons-collections4-java-doc - Documentation for Commons Collections 4
Closes: 722264
Changes: 
 libcommons-collections4-java (4.0~alpha1-1) unstable; urgency=low
 .
   * Initial release (Closes: #722264)
Checksums-Sha1: 
 cc6bb425632a684602e3c37fb03224ee05472332 2414 libcommons-collections4-java_4.0~alpha1-1.dsc
 93d921cf0964ac00162b7ac6ddcddc4b7fe49be2 611866 libcommons-collections4-java_4.0~alpha1.orig.tar.gz
 ae5337c54fc3ead8272bba90d9f2485e5187141d 3380 libcommons-collections4-java_4.0~alpha1-1.debian.tar.gz
 f46d8662f60124643a58b30f8882f2f772075b3c 559916 libcommons-collections4-java_4.0~alpha1-1_all.deb
 56f9b3ea19001529c19805deb695cf614b1c7635 2329494 libcommons-collections4-java-doc_4.0~alpha1-1_all.deb
Checksums-Sha256: 
 d399fea7ab9031f5e83eca668659d09c29e7d044642b4229e195df1c36224468 2414 libcommons-collections4-java_4.0~alpha1-1.dsc
 3fbc17677479474b5193b4a2c9995e20b4ae5b587cb4617b7d6ccfc70424fd71 611866 libcommons-collections4-java_4.0~alpha1.orig.tar.gz
 362edfcbc87e1fdaf58cdf55b82081713f73ba12295f685c632850f7950a8ce7 3380 libcommons-collections4-java_4.0~alpha1-1.debian.tar.gz
 f9e2c3596fcfd4c78c56ae64af542f323c826b635adae6dcfc70e117af41391e 559916 libcommons-collections4-java_4.0~alpha1-1_all.deb
 600765dfe1b655525615be515fd6e48cad23e44ea5766e9040c3e0177f7e141a 2329494 libcommons-collections4-java-doc_4.0~alpha1-1_all.deb
Files: 
 4e307d35c8f5e26507f1b166df05ee81 2414 java optional libcommons-collections4-java_4.0~alpha1-1.dsc
 0be619cdc73b019c8cadfd2d0eed49cd 611866 java optional libcommons-collections4-java_4.0~alpha1.orig.tar.gz
 41636a7326bc2027bb02a347a7419d59 3380 java optional libcommons-collections4-java_4.0~alpha1-1.debian.tar.gz
 2cfdccd092a41dfe97c4ee8a20414703 559916 java optional libcommons-collections4-java_4.0~alpha1-1_all.deb
 19c2f625d6128006d11d2dec15d7ee34 2329494 doc optional libcommons-collections4-java-doc_4.0~alpha1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBAgAGBQJSOTLrAAoJECHSBYmXSz6WoyEQAKHls/uvvuhVwRko28nLq/i9
q17laGADCcDKo4/NJSEQATMkHqbKg1UcY7qeEURx+R5PzxBRewRLyvyxWvckEOLB
M5E9ZWM1tTHa/VK/CDYdmIyfYabDHSSfAdK3gj79d0bUNyg6JuYizfswAloRbbAc
Nmr2OUbJ01eUBbtjYlsaL5d2GXBVt/q4D0LlTiQY8MTh3YietWEA7avIov6Ca7z+
9uwKTlXjpxQOApOf4QFI+mEoI1b/6mb+VEb0hQe9yJSWuvuVKUA222vtznv7GKL0
cWeW+M1aGx9VPOj76gYXg3KEBHvnC0dE1uhnT518+AL2XnWW+K53GdtQeilmrABG
F6ALJMzWfTukGSw/HTuh5Of1zkYsmDVO9rGkBytkbOvNnf852AKKeileVGEDwXYi
3aYInlRCohNeewO3VEITLq4rxTFoJvIBczWZh6EWlKRZwWiKrmAzRzn9uGglHZpK
kTKKGZtnBemTVmhY1h9zuPVmLF34+U4JSNRLIopBvjnCSWgqIarppIr8RdJ5blI9
PU4TnMVzkWR3odTkUUevWRnyBNEAREHzvynYKY/1mTKkZyA8GNbAyDnRncow5y8d
1br9zryW8n2J8u3Pc2whxREzaoxnl/OWt98lCJIXUEePwovB0pIsYqbMCcI+yJX3
WpLcW1I52xA3lqzGnfV5
=NjC0
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 19 Oct 2013 07:33:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:42:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.